import { FileFull } from './fileFull';
import { FolderFull } from './folderFull';
import { SerializedData } from '../serialization/json';
export type MetadataQueryResultItem = FileFull | FolderFull;
export declare function serializeMetadataQueryResultItem(val: any): SerializedData;
export declare function deserializeMetadataQueryResultItem(val: SerializedData): MetadataQueryResultItem;
